Subject: bug#48654: Overfull hbox, Unicode code points style (display.texi)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 May 2021 15:38:19 +0300

> Cc: [email-masked]
> From: Sebastian Urban <[email-masked]>
> Date: Wed, 26 May 2021 09:37:37 +0200
> 
>  >> As for Unicode code points it was decided to use "U+NNNN @sc{char
>  >> name}", so I adjusted all of them.
>  >
>  > Please use the exact names of the characters as they appear in the
>  > UnicodeData.txt file.
> 
> Hmmm... which one is incorrect?

I didn't say there were any, but I saw you were changing the names,
and wanted to make sure you take the names from the official source.

>  > Also, why remove @code{..} from the "U+NNNN" notation -- what does
>  > that solve?
> 
> Because, ~2 years ago you decided to follow Unicode docs notation, and
> I'm just fixing the leftovers. See your commit:
> http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=f68b33f50299339a36da29cd1913d19fd5f288e0

OK, that just emphasizes the importance of providing the commit log
message with reasoning when you propose a patch, TIA.

>  >> Finally, in a different file - FIXIT.TEXI - there is line 356,
>  >> where the word "dictionary" uses a discretionary hyphens - are they
>  >> used somewhere?  Because, in the PDF there is no line breaking for
>  >> this sentence and if it's correct, perhaps adding this word to
>  >> DOCSTYLE.TEXI would be a better option.
>  >
>  > It depends on surrounding text: if the word gets close to a line
>  > break, we want it to break correctly.
> 
> I don't know if it's a good idea to keep this just in case someone
> changes the text in the future, or makes PDF using A5 page format.
> Currently (official PDF), it's not close to a line break.

What's the harm?

> But if it stays, I suggest moving it to DOCSTYLE.TEXI, where other
> problematic words are gathered below this line:
>    @c It turns out TeX sometimes fails to hyphenate, so we help it here
>    @hyphenation{...}

Fine with me.